Get contact
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Retrieve the properties and relationships of contact object.
There are two scenarios where an app can get a contact in another user's contact folder:
- If the app has application permissions, or,
- If the app has the appropriate delegated permissions from one user, and another user has shared a contact folder with that user, or, has given delegated access to that user. See details and an example.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Contacts.Read, Contacts.ReadWrite |
| Delegated (personal Microsoft account) | Contacts.Read, Contacts.ReadWrite |
| Application | Contacts.Read, Contacts.ReadWrite |
HTTP request
A contact in the user's mailbox.
GET /me/contacts/{id}
GET /users/{id | userPrincipalName}/contacts/{id}
A contact from a top level contactFolder of the user's.
GET /me/contactfolders/{Id}/contacts/{id}
GET /users/{id | userPrincipalName}/contactfolders/{id}/contacts/{id}
A contact contained in a child folder of a contactFolder. The example below shows one level of nesting, but a contact can be located in a child of a child and so on.
GET /me/contactFolders/{id}/childFolders/{id}/.../contacts/{id}
GET /users/{id | userPrincipalName}/contactFolders/{id}/childFolders/{id}/contacts/{id}
Optional query parameters
| Name | Value | Description |
|---|---|---|
| $expand | string | Comma-separated list of relationships to expand and include in the response. See relationships table of contact object for supported names. |
| $select | string | Comma-separated list of properties to include in the response. |
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and contact object in the response body.
Example
Request
Here is an example of the request.
GET https://graph.microsoft.com/beta/me/contacts/AAMkAGI2THk0AAA=
Response
Here is an example of the response. Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"id": "AAMkAGI2THk0AAA=",
"createdDateTime": "2014-10-19T23:08:24Z",
"lastModifiedDateTime": "2014-10-19T23:08:24Z",
"changeKey": "EQAAABYAAACd9nJ/tVysQos2hTfspaWRAAADTIa4",
"categories": [],
"parentFolderId": "AAMkAGI2AAEOAAA=",
"birthday": "1974-07-22",
"fileAs": "Fort, Garth",
"displayName": "Garth Fort",
"givenName": "Garth",
"initials": "G.F.",
"middleName": null,
"nickName": "Garth",
"surname": "Fort",
"title": null,
"yomiGivenName": null,
"yomiSurname": null,
"yomiCompanyName": null,
"generation": null,
"emailAddresses": [
{
"name": "Garth",
"address": "garth@a830edad9050849NDA1.onmicrosoft.com",
"type": "unknown"
},
{
"name": "Garth",
"address": "garth@contoso.onmicrosoft.com",
"type": "personal"
}
],
"imAddresses": [
"sip:garthf@a830edad9050849nda1.onmicrosoft.com"
],
"jobTitle": "Web Marketing Manager",
"companyName": "Contoso, Inc.",
"department": "Sales & Marketing",
"officeLocation": "20/1101",
"profession": null,
"assistantName": null,
"manager": null,
"phones": [{
"type": "business",
"number": "+1 918 555 0101"
}],
"postalAddresses": [{
"type": "business",
"postOfficeBox": "P.O. Box 100",
"street": "123 Some street",
"city": "Seattle",
"state": "WA",
"countryOrRegion": "USA",
"postalCode": "98121"
}],
"spouseName": null,
"personalNotes": null,
"children": [],
"gender": null,
"websites": [{
"type": "work",
"address": "https://www.contoso.com",
"name": "Contoso"
}],
"weddingAnniversary": null
}
See also
Feedback
Submit and view feedback for